# libfmp

This repository contains the Python package libfmp. This package goes hand in hand with the FMP Notebooks, a collection of educational material for teaching and learning Fundamentals of Music Processing (FMP) with a particular focus on the audio domain. For detailed explanations and example appliciations of the libfmp-functions we refer to the FMP Notebooks:

http://audiolabs-erlangen.de/FMP

In particular, there is a dedicated notebook for libfmp:

https://www.audiolabs-erlangen.de/resources/MIR/FMP/B/B_libfmp.html

## Installing

You can install libfmp using the Python package manager pip:

```
pip install libfmp
```

## Contributing

The libfmp-package goes hand in hand with the FMP notebooks. In particular, we need to manually synchronize all libfmp-functions with text passages, explanations, and code in the FMP notebooks. Of course, we are happy for suggestions and contributions. However, to facilitate the synchronization, we would be grateful for either directly contacting us via email (meinard.mueller@audiolabs-erlangen.de) or for creating [an issue](https://github.com/meinardmueller/libfmp/issues) in our Github repository. Please do not submit a pull request without prior consultation with us.

## Citing

If you use libfmp in a scholarly work, please consider citing this article:

Meinard Müller and Frank Zalkow: FMP Notebooks: Educational Material for Teaching and Learning Fundamentals of Music Processing. Proceedings of the International Conference on Music Information Retrieval (ISMIR), Delft, The Netherlands, 2019.

## Acknowledgements

We want to thank the various people who have contributed to the design, implementation, and code examples of libfmp.
In particular, these contributors are (in alphabetic order): David Kopyto, Michael Krause, Patricio Lopez-Serrano, Meinard Müller, Julian Reck, Sebastian Rosenzweig, Angel Villar-Corrales, Christof Weiß, Frank Zalkow, and Tim Zunner.
The main authors, Meinard Müller and Frank Zalkow, are supported by the German Research Foundation (DFG-MU 2686/11-1, MU 2686/12-1) and associated with the International Audio Laboratories Erlangen, Germany.
We thank the German Research Foundation (DFG) for various research grants that allow us for conducting fundamental research in music processing.
The International Audio Laboratories Erlangen are a joint institution of the Friedrich-Alexander-Universität Erlangen-Nürnberg (FAU) and Fraunhofer Institute for Integrated Circuits IIS.
